This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 861165 - Durable links break recovery
Durable links break recovery
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Ken Giusti
Leonid Zhaldybin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 13:07 EDT by Justin Ross
Modified: 2014-11-09 17:38 EST (History)
6 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-2
Doc Type: Bug Fix
Doc Text:
Cause: A code change removed a check that prevented a Link or Bridge object from being written to store during broker recovery. Consequence: When recovering a Link or Bridge object, the broker would enter an infinite loop and hang until manually killed. Fix: Restore the check that prevented the infinite loop. Result: Link and Bridge objects are correctly recovered during restore without causing the infinite loop.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:38:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4347 None None None 2012-09-27 13:07:35 EDT

  None (edit)
Description Justin Ross 2012-09-27 13:07:05 EDT
See https://issues.apache.org/jira/browse/QPID-4347
Comment 1 Ken Giusti 2012-10-03 10:23:37 EDT
Fix available on upstream trunk:
http://svn.apache.org/viewvc?view=revision&revision=1393479
Comment 2 Frantisek Reznicek 2012-10-05 11:11:46 EDT
Testing scenario:
  https://issues.apache.org/jira/secure/attachment/12547439/qpid-4347-test.patch
Comment 4 Leonid Zhaldybin 2013-01-07 11:05:48 EST
Tested on RHEL5.9 and RHEL6.3 (both i386 and x86_64). The durable links recover successfully.

Packages used for testing:

RHEL5.9
qpid-cpp-client-0.18-13.el5
qpid-cpp-client-devel-0.18-13.el5
qpid-cpp-client-devel-docs-0.18-13.el5
qpid-cpp-client-ssl-0.18-13.el5
qpid-cpp-server-0.18-13.el5
qpid-cpp-server-cluster-0.18-13.el5
qpid-cpp-server-devel-0.18-13.el5
qpid-cpp-server-ssl-0.18-13.el5
qpid-cpp-server-store-0.18-13.el5
qpid-cpp-server-xml-0.18-13.el5
qpid-java-client-0.18-6.el5
qpid-java-common-0.18-6.el5
qpid-java-example-0.18-6.el5
qpid-qmf-0.18-13.el5
qpid-qmf-devel-0.18-13.el5
qpid-tools-0.18-7.el5

RHEL6.3
qpid-cpp-client-0.18-13.el6
qpid-cpp-client-devel-0.18-13.el6
qpid-cpp-client-devel-docs-0.18-13.el6
qpid-cpp-server-0.18-13.el6
qpid-cpp-server-devel-0.18-13.el6
qpid-cpp-server-store-0.18-13.el6
qpid-cpp-server-xml-0.18-13.el6
qpid-java-client-0.18-6.el6
qpid-java-common-0.18-6.el6
qpid-java-example-0.18-6.el6
qpid-qmf-0.18-13.el6
qpid-tools-0.18-7.el6_3

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.